PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_getresult

## Name

pg_getresult -- process asychronous results

## Synopsis

    pg_getresult conn

## Description

`pg_getresult` checks to see if any commands issued by `pg_sendquery` have completed.

This will return the same sort of result handle that `pg_exec` returns.

If there is no query currently being processed or all of the results have been obtained, `pg_getresult` returns nothing.

## Arguments

`conn`

  The handle of a connection to the database to which asynchronous requests are being issued.

## Return Value

If a query result is available, a command result object is returned. This handle can be passed to `pg_result` to obtain the results of the command.

If there is no query currently being processed or all of the results have been obtained, `pg_getresult` returns nothing.

Prev | Home | Next
pg_sendquery_prepared | Up | pg_isbusy